com.abbyy.mobile.rtr

## Interface IImagingCoreAPI

- All Superinterfaces:
    java.lang.AutoCloseable

      public interface IImagingCoreAPI
      extends java.lang.AutoCloseable

  Provides access to low-level single image core API functions for current thread. Should be used on the same thread on which it was created. Multiple objects can be created on different threads and used concurrently. All methods are synchronous (blocking) and should not be used on UI thread. For advanced users.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `IImagingCoreAPI.CropOperation` 'Crop' operation.
    `static class` | `IImagingCoreAPI.DetectDocumentBoundaryOperation` 'Detect document boundary' operation.
    `static interface` | `IImagingCoreAPI.ExportOperation` Export operation interface.
    `static class` | `IImagingCoreAPI.ExportToJpgOperation` Export to JPG operation.
    `static class` | `IImagingCoreAPI.ExportToPdfOperation` Export to PDF operation.
    `static class` | `IImagingCoreAPI.ExportToPngOperation` Export to PNG operation.
    `static class` | `IImagingCoreAPI.ExportToWebPOperation` Export to WebP operation.
    `static interface` | `IImagingCoreAPI.ExtendedSettings` Extended CoreAPI configuration settings.
    `static interface` | `IImagingCoreAPI.Image` Loaded image
    `static interface` | `IImagingCoreAPI.ImageOperation` Image operation interface.
    `static class` | `IImagingCoreAPI.QualityAssessmentForOcrOperation` 'Quality assessment for OCR' operation.
    `static class` | `IImagingCoreAPI.RotateOperation` 'Rotate' operation.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Release all resources.
    `IImagingCoreAPI.CropOperation` | `createCropOperation()` Create 'crop' operation.
    `IImagingCoreAPI.DetectDocumentBoundaryOperation` | `createDetectDocumentBoundaryOperation()` Create 'detect document boundary' operation.
    `IImagingCoreAPI.ExportToJpgOperation` | `createExportToJpgOperation(java.io.OutputStream outputStream)` Create export to JPG operation.
    `IImagingCoreAPI.ExportToPdfOperation` | `createExportToPdfOperation(java.io.OutputStream outputStream)` Create export to PDF operation.
    `IImagingCoreAPI.ExportToPngOperation` | `createExportToPngOperation(java.io.OutputStream outputStream)` Create export to PNG operation.
    `IImagingCoreAPI.ExportToWebPOperation` | `createExportToWebPOperation(java.io.OutputStream outputStream)` Create export to WebP operation.
    `IImagingCoreAPI.QualityAssessmentForOcrOperation` | `createQualityAssessmentForOcrOperation()` Create 'quality assessment for OCR operation.
    `IImagingCoreAPI.RotateOperation` | `createRotateOperation()` Create 'rotate' operation.
    `IImagingCoreAPI.ExtendedSettings` | `getExtendedSettings()` Extended service configuration settings.
    `IImagingCoreAPI.Image` | `loadImage(android.graphics.Bitmap bitmap)` Load image from a bitmap.
    `IImagingCoreAPI.Image` | `loadImage(java.nio.ByteBuffer imageBuffer, int imageWidth, int imageHeight, int orientation)` Load image from a byte buffer.

- - ### Method Detail

    - #### loadImage

          IImagingCoreAPI.Image loadImage(java.nio.ByteBuffer imageBuffer,
                                          int imageWidth,
                                          int imageHeight,
                                          int orientation)

      Load image from a byte buffer.
      Parameters:
        `imageBuffer` - Image buffer to load. The same buffer as returned from camera or IImageCaptureService. Currently only buffers in NV21 format are supported
        `imageWidth` - The width of the image
        `imageHeight` - The height of the image
        `orientation` - Orientation of the image. Orientation is used to rotate the final image when getting the result
      Returns:
        loaded image

    - #### loadImage

          IImagingCoreAPI.Image loadImage(android.graphics.Bitmap bitmap)

      Load image from a bitmap.
      Parameters:
        `bitmap` - The bitmap to load
      Returns:
        loaded image

    - #### createDetectDocumentBoundaryOperation

          IImagingCoreAPI.DetectDocumentBoundaryOperation createDetectDocumentBoundaryOperation()

      Create 'detect document boundary' operation.
      Returns:
        the requested image operation. Use apply() method to apply operation to the image

    - #### createCropOperation

          IImagingCoreAPI.CropOperation createCropOperation()

      Create 'crop' operation.
      Returns:
        the requested image operation. Use apply() method to apply operation to the image

    - #### createRotateOperation

          IImagingCoreAPI.RotateOperation createRotateOperation()

      Create 'rotate' operation.
      Returns:
        the requested image operation. Use apply() method to apply operation to the image

    - #### createQualityAssessmentForOcrOperation

          IImagingCoreAPI.QualityAssessmentForOcrOperation createQualityAssessmentForOcrOperation()

      Create 'quality assessment for OCR operation.
      Returns:
        the requested image operation. Use apply() method to apply operation to the image

    - #### createExportToPngOperation

          IImagingCoreAPI.ExportToPngOperation createExportToPngOperation(java.io.OutputStream outputStream)

      Create export to PNG operation.
      Parameters:
        `outputStream` - The output stream for export
      Returns:
        the requested export operation. Use addPage() method to export the image

    - #### createExportToJpgOperation

          IImagingCoreAPI.ExportToJpgOperation createExportToJpgOperation(java.io.OutputStream outputStream)

      Create export to JPG operation.
      Parameters:
        `outputStream` - The output stream for export
      Returns:
        the requested export operation. Use addPage() method to export the image

    - #### createExportToWebPOperation

          IImagingCoreAPI.ExportToWebPOperation createExportToWebPOperation(java.io.OutputStream outputStream)

      Create export to WebP operation.
      Parameters:
        `outputStream` - The output stream for export
      Returns:
        the requested export operation. Use addPage() method to export the image

    - #### createExportToPdfOperation

          IImagingCoreAPI.ExportToPdfOperation createExportToPdfOperation(java.io.OutputStream outputStream)

      Create export to PDF operation.
      Parameters:
        `outputStream` - The output stream for export
      Returns:
        the requested export operation. Use addPage() method to export individual images

    - #### close

          void close()

      Release all resources.
      Specified by:
        `close` in interface `java.lang.AutoCloseable`

    - #### getExtendedSettings

          IImagingCoreAPI.ExtendedSettings getExtendedSettings()

      Extended service configuration settings. Settings for advanced users. Not used in typical scenarios
      Returns:
        extended configuration settings